Create a workspace
POST
/v1/workspaces
const url = 'https://shareout.site/v1/workspaces';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","slug":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shareout.site/v1/workspaces \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "slug": "example" }'Any signed-in user can create a workspace.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
string
slug
string
Examplegenerated
{ "name": "example", "slug": "example"}Responses
Section titled “Responses”Created
Media typeapplication/json
object
id
string
name
string
slug
string
role
string
Example
{ "role": "owner"}